Go to the first, previous, next, last section, table of contents.

### `mt_save`, `mt_load`

`mt_save(fname)`
  :: Saves the state of the random number generator.
`mt_load(fname)`
  :: Loads a saved state of the random number generator.

return
  0 or 1
fname
  string

- One can save the state of the random number generator with `mt_save`. By loading the state file with `mt_load`, one can trace a single random number sequence arcoss multiple Asir sessions.

    [340] random();
    3510405877
    [341] mt_save("/tmp/mt_state");
    1
    [342] random();
    4290933890
    [343] quit;
    % asir
    This is Asir, Version 991108.
    Copyright (C) FUJITSU LABORATORIES LIMITED.
    3 March 1994. All rights reserved.
    [340] mt_load("/tmp/mt_state");
    1
    [341] random();
    4290933890

`References`
  section `random`, section `lrandom`.

Go to the first, previous, next, last section, table of contents.